<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Dokumen extends Model
{
    use HasFactory;

    public function lesen_penjaja_dokumens()
    {
        return $this->belongsToMany(LesenPenjajaDokumen::class, 'lesen_penjaja_dokumens', 'dokumen_id', 'lesen_penjaja_id')->withPivot('path', 'jenis_dokumen');
    }
}
